XslpLiaison (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.XslpLiaison,XslpLiaison class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class XslpLiaison

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.XslpLiaison

All Implemented Interfaces:
  XSLTLiaison

public class XslpLiaison
extends java.lang.Object
implements XSLTLiaison

Concrete liaison for XSLP

Since:
  Ant 1.1

Field Summary
`protected com.kvisco.xsl.XSLProcessor` | `processor`
`protected com.kvisco.xsl.XSLStylesheet` | `xslSheet`

Fields inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison
`FILE_PROTOCOL_PREFIX`

Constructor Summary
`XslpLiaison()`

Method Summary
`void` | `addParam(java.lang.String name, java.lang.String expression)` Add a parameter to be set during the XSL transformation.
`void` | `setStylesheet(java.io.File fileName)` set the stylesheet to use for the transformation.
`void` | `transform(java.io.File infile, java.io.File outfile)` Perform the transformation of a file into another.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### processor

    protected com.kvisco.xsl.XSLProcessor processor

### xslSheet

    protected com.kvisco.xsl.XSLStylesheet xslSheet

Constructor Detail

### XslpLiaison

    public XslpLiaison()

Method Detail

### setStylesheet

    public void setStylesheet(java.io.File fileName)
                       throws java.lang.Exception

  Description copied from interface: `XSLTLiaison`
  set the stylesheet to use for the transformation.

  Specified by:
    `setStylesheet` in interface `XSLTLiaison`
  Parameters:
    `fileName` - the stylesheet to be used for transformation.
  Throws:
    `java.lang.Exception` - thrown if any problems happens.

### transform

    public void transform(java.io.File infile,
                          java.io.File outfile)
                   throws java.lang.Exception

  Description copied from interface: `XSLTLiaison`
  Perform the transformation of a file into another.

  Specified by:
    `transform` in interface `XSLTLiaison`
  Parameters:
    `infile` - the input file, probably an XML one. :-)
    `outfile` - the output file resulting from the transformation
  Throws:
    `java.lang.Exception` - thrown if any problems happens.
  See Also:
    `XSLTLiaison.setStylesheet(File)`

### addParam

    public void addParam(java.lang.String name,
                         java.lang.String expression)

  Description copied from interface: `XSLTLiaison`
  Add a parameter to be set during the XSL transformation.

  Specified by:
    `addParam` in interface `XSLTLiaison`
  Parameters:
    `name` - the parameter name.
    `expression` - the parameter value as an expression string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.